# jindex

This page is out of date, Jigsaw indexer is now hidden inside the server.

# Command line options

The w3c.httpd.index.jindex class will recognize the following command line options:

-p property-file
  Tells the indexer to read properties from the given property file. Although not mandatory, thi soption is probably the one that you will use most of the time.
-r
  Runs the indexer recursively. This overrides any setting of the w3c.httpd.index.recurse property.
-f
  Force the indexer to re-index the directory, even if it thinks it is not needed. The indexer tries to be smart, sometimes, you don't want it to be too smart.
-dir
  Produce an index file for this directory, using the defaults (if possible), even if the directory itself doesn't provide a `jindex.cfg` file. This overrides any setting of the w3c.httpd.index.autodir property.
-subdirs
  Make the indexer include any available sub-directories into the indexed directory. This option overrides the w3c.httpd.index.autosubdir property.
-defaults defaults-file
  Use the given file as the default indxer context. This property overrides the value of the w3c.httpd.index.defaults property.
-trace
  Make the indexer verbose. This property overrides the setting of w3c.httpd.index.verbose.

# Properties

Jigsaw Team
$Id: jindex.html,v 1.4 1997/07/31 08:20:40 ylafon Exp $